nextcloud-desktop (3.16.7-1~deb13u1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 3.16.2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 30 Apr 2025 03:46:17 +0000]
  * Remove armhf from qtwebengine architecture lists.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 09 Jan 2026 18:22:09 +0000

nextcloud-desktop (3.16.7-1~deb13u1) trixie; urgency=medium

  * Rebuild for Trixie.

 -- Sandro Knauß <hefee@debian.org>  Sun, 02 Nov 2025 16:38:44 +0100

nextcloud-desktop (3.16.7-1) unstable; urgency=medium

  * New upstream release.

 -- Sandro Knauß <hefee@debian.org>  Sat, 16 Aug 2025 01:15:24 +0200

nextcloud-desktop (3.16.6-3) unstable; urgency=medium

  * Release to unstable (#1091614 is fixed).

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Jul 2025 14:55:49 +0200

nextcloud-desktop (3.16.6-2) experimental; urgency=medium

  * Fix again "nextcloud enters busy loop when using a share on NTFS."
    (Closes: 1091614)

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Jul 2025 12:54:15 +0200

nextcloud-desktop (3.16.6-1) experimental; urgency=medium

  * New upstream release.
  * Update patch hunks.
  * Remove patch for #1091614, it seems fixed on upstream.

 -- Sandro Knauß <hefee@debian.org>  Mon, 21 Jul 2025 20:21:07 +0200

nextcloud-desktop (3.16.4-1) unstable; urgency=medium

  * New upstream release.
  * Update patch hunks.
  * Remove postal address of Free Software Foundation in d/copyright.

 -- Sandro Knauß <hefee@debian.org>  Sat, 03 May 2025 23:57:43 +0200

nextcloud-desktop (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * remove upstream applied patch.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Apr 2025 20:14:42 +0200

nextcloud-desktop (3.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Update patch hunks.
  * Add Patch to fix build with WebEngine=OFF.
  * Move most B-D to B-D-Arch in order to reduce installed B-Ds for clean.
  * Fix the detection of arch only mode (Closes: #1098579).
  * Remove not needed filenamemangle from d/watch.
  * Update source lintian-overrides.
  * Bump Standards-Version to 4.7.2 (No changes need).
  * Remove unsused license block.

 -- Sandro Knauß <hefee@debian.org>  Sun, 09 Mar 2025 12:31:15 +0100

nextcloud-desktop (3.15.3-1) unstable; urgency=medium

  * New upstream release 3.15.3 (Closes: #1095909).
  * Move some dependecies to B-D-Arch.
  * rewrite block in d/rules {dh_override,execute_before}_dh_auto_build.
  * Build less for arch indep build.

 -- Sandro Knauß <hefee@debian.org>  Sat, 15 Feb 2025 03:29:54 +0100

nextcloud-desktop (3.15.2-2) unstable; urgency=medium

  * Another backport to proper fix #1091614.

 -- Sandro Knauß <hefee@debian.org>  Sun, 05 Jan 2025 23:19:03 +0100

nextcloud-desktop (3.15.2-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * Enable LTO

  [ Sandro Knauß ]
  * New upstream release 3.15.2.
  * update build depends.
  * Build without WebEngine, when not available on the host system.
  * nocheck handling is fixed with debhelper >= 13.
  * Revert patch to fix "nextcloud enters busy loop when using a share on NTFS"
    (Closes: #1091614)

 -- Sandro Knauß <hefee@debian.org>  Sun, 05 Jan 2025 22:05:01 +0100

nextcloud-desktop (3.15.0-1) unstable; urgency=medium

  * New upstream release 3.15.0 fix CVE-2024-52510 (Closes: #1087885).
  * Use dh_qmldeps to detect QML dependencies.
  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Wed, 04 Dec 2024 19:52:37 +0100

nextcloud-desktop (3.14.1-1) experimental; urgency=medium

  * New upstream release 3.14.1 fix CVE-2024-46958 (Closes: #1082041)
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Switch build to Qt6.
  * Build dolphin 6 plugin.
  * Use pkgkde-getqmldepends to detect qml depends.
  * Add qml depdendecies to Build-Depdends.
  * Add Multi-Arch: foreign to Arch:all packages.
  * Update lintian-overrides.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2024 12:03:23 +0200

nextcloud-desktop (3.13.2-2) unstable; urgency=medium

  [ Christian Göttsche ]
  * Clean generated images for building twice (Closes: #1045199)

 -- Sandro Knauß <hefee@debian.org>  Thu, 01 Aug 2024 20:19:18 +0200

nextcloud-desktop (3.13.2-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * New upstream version 3.13.2

  * d/patches: rebase
  * d/changelog: fix typos
  * d/control: bump std-version to 4.7.0 (no further changes)
  * debian: update Lintian override
  * d/copyright: drop superfluous file
  * d/control: replace pkg-config with pkgconf

  [ Sandro Knauß ]
  * Add patch to show the upstream GIT_SHA1 from tarball.
  * Need to explicitly import pkg-info.mk for DEB_VERSION.

 -- Sandro Knauß <hefee@debian.org>  Tue, 30 Jul 2024 23:06:32 +0200

nextcloud-desktop (3.11.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063172

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:52:48 +0000

nextcloud-desktop (3.11.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Non-maintainer upload.
  * Do not install legacy /usr/share/cloud-provider directory.
    Since libcloudproviders 0.3.3+ the integration points are now directly
    specified in the .desktop file. This avoids that Nautilus shows
    Nextcloud shares twice. (Closes: #1056327)

  [ Sandro Knauß ]
  * New upstream release (3.11.0).

 -- Sandro Knauß <hefee@debian.org>  Tue, 12 Dec 2023 12:42:22 +0100

nextcloud-desktop (3.10.0-1) unstable; urgency=medium

  * New upstream release (3.10.0).
  * Update lintian-overrides.

 -- Sandro Knauß <hefee@debian.org>  Sun, 08 Oct 2023 00:39:51 +0200

nextcloud-desktop (3.9.0-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (3.9.0).

 -- Sandro Knauß <hefee@debian.org>  Thu, 29 Jun 2023 23:07:35 +0200

nextcloud-desktop (3.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sandro Knauß <hefee@debian.org>  Wed, 15 Feb 2023 15:00:39 +0100

nextcloud-desktop (3.7.0-2) unstable; urgency=medium

  * Update patch: Need to set RPATH/RUNPATH for dolphin plugin.
  * Add lintian-overrides for Dolphin plugin.

 -- Sandro Knauß <hefee@debian.org>  Sat, 04 Feb 2023 18:25:03 +0100

nextcloud-desktop (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update patch hunks.
  * Remove upstream applied patch.
  * Add missing build-dependency libkf5archive-dev.
  * Bump Standards-Version (No changes needed).
  * KDE CMake actions are used to install dolphin plugin.
  * Update install locations of dolphin plugin.
  * Remove dolphin plugin lintian overrides.
  * Add patch to remove Qt GuiPrivate usage.

 -- Sandro Knauß <hefee@debian.org>  Fri, 03 Feb 2023 19:17:42 +0100

nextcloud-desktop (3.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Update patch hunks.
  * Remove upstream applied patch.
  * Update QML dependencies.

 -- Sandro Knauß <hefee@debian.org>  Tue, 13 Dec 2022 13:13:22 +0100

nextcloud-desktop (3.6.1-1) unstable; urgency=medium

  [ Rik Mills ]
  * disable building with LTO to prevent segfault on startup

  [ Sandro Knauß ]
  * New upstream release.
  * Make blhc happy.
  * Update lintian-overrides.

 -- Sandro Knauß <hefee@debian.org>  Thu, 10 Nov 2022 01:11:22 +0100

nextcloud-desktop (3.6.0-2) unstable; urgency=medium

  [ Andrea Pappacoda ]
  * d/control: depend on qml-module-qtquick-dialogs (Closes: #1020223)

 -- Sandro Knauß <hefee@debian.org>  Sat, 24 Sep 2022 14:54:55 +0200

nextcloud-desktop (3.6.0-1) unstable; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Compatibility with older python3-nautilus (Closes: #1019087)

  [ Sandro Knauß ]
  * New upstream release.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Thu, 08 Sep 2022 11:25:47 +0200

nextcloud-desktop (3.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Update patch hunks.
  * Use librsvg2-bin instead of inkscape as build dependency as it is much
    smaller.
  * Update lintian-overrides.

 -- Sandro Knauß <hefee@debian.org>  Fri, 19 Aug 2022 00:13:56 +0200

nextcloud-desktop (3.5.1-2) unstable; urgency=medium

  [ Andrea Pappacoda ]
  * d/control: depend on qml-module-qt-labs-platform (Closes: #1012309)

 -- Sandro Knauß <hefee@debian.org>  Mon, 20 Jun 2022 23:55:25 +0200

nextcloud-desktop (3.5.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release.
  * Update build-deps and deps with the info from cmake.
  * update patch hunks.
  * Update copyright file for 3.5.1.
  * Bump Standards-Version to 4.6.1 (No changes needed).

  [ Colomban Wendling ]
  * Fix cmake dependency

 -- Sandro Knauß <hefee@debian.org>  Wed, 18 May 2022 21:26:31 +0200

nextcloud-desktop (3.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Update patch hunks.
  * Update copyright file for 3.4.2.
  * Update lintin-overrides to match again for 3.4.2.

 -- Sandro Knauß <hefee@debian.org>  Tue, 22 Feb 2022 15:34:55 +0100

nextcloud-desktop (3.3.5-1) unstable; urgency=medium

  * New upstream version v3.3.5. (Closes: #995451)

 -- Sandro Knauß <hefee@debian.org>  Wed, 06 Oct 2021 10:30:44 +0200

nextcloud-desktop (3.3.3-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * Ignore missing fortify flags for blhc via ignore command

  [ Philippe Ombredanne ]
  * Use correct Apache 2.0 reference not LGPL

  [ Sandro Knauß ]
  * New upstream release v3.3.3. (Closes: #993037)
  * Fix install path for vfs plugins. (Closes: #992986)
  * Remove unused overrides.

 -- Sandro Knauß <hefee@debian.org>  Wed, 15 Sep 2021 13:49:52 +0200

nextcloud-desktop (3.3.1-2) unstable; urgency=medium

  * Fix path to match every arch.

 -- Sandro Knauß <hefee@debian.org>  Mon, 23 Aug 2021 13:40:56 +0200

nextcloud-desktop (3.3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #989846).
  * Update patches:
    - Remove backported patches.
    - Update patch to apply for new version.
    - Update hunks.
  * Update build-dependencies.
  * Bump Standards-Version.
  * Follow upstreams rename of internal library libocsync -> libnextcloud_csync.
  * Add libraries to support vfs to nextcloud-desktop package.
  * Remove unused copyright block.
  * Update lintian-overrides files.

 -- Sandro Knauß <hefee@debian.org>  Sun, 22 Aug 2021 21:40:03 +0200

nextcloud-desktop (3.1.1-2) unstable; urgency=medium

  * Add two upstream patches to fix CVE-2021-22879 (Closes: #987274):
    013f3cea70acfe7b701cb73c93744d5ff5c0c213
    e97b7d8a25d3ef0d8c52b6399f304a42a5d4f212
    into Validate-sensitive-URLs-to-onle-allow-http-s-schemes.patch
    with small modifications to apply to the version in Debian

 -- Sandro Knauß <hefee@debian.org>  Sat, 08 May 2021 19:39:35 +0200

nextcloud-desktop (3.1.1-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * New upstream version 3.1.1
  * Refresh patches and refactor version patch
  * Add patch to drop Qt5::GuiPrivate dependency
  * Ignore deprecated-declarations warnings
  * Update standards version to 4.5.1, no changes needed.
  * Fix misspelling
  * Please blhc

  [ Sandro Knauß ]
  * Disable updater via CMake BUILD_UPDATER and not via patch.
  * Rename patches to have a clear order.

 -- Sandro Knauß <hefee@debian.org>  Tue, 19 Jan 2021 14:56:40 +0100

nextcloud-desktop (3.0.1-3) unstable; urgency=medium

  * Fix typo: qml-module-qtqml-modules2 -> qml-module-qtqml-models2.
    (Closes: #970900)

 -- Sandro Knauß <hefee@debian.org>  Sat, 26 Sep 2020 13:18:40 +0200

nextcloud-desktop (3.0.1-2) unstable; urgency=medium

  * Add missing qml dependencies. (Closes: #969576)
  * fix typo

 -- Sandro Knauß <hefee@debian.org>  Thu, 24 Sep 2020 21:22:24 +0200

nextcloud-desktop (3.0.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (Closes: #968240).
  * Use dh-sequence-addon to simplify rules.
  * Remove upstream applied patch.
  * Update patches.
  * update copyright to reflect changes in 3.0.1.
  * Update lintian-overrides
  * Use jdupes to remove duplicates in doc package.

  [ Christian Göttsche ]
  * Add libqt5svg5-dev and qtquickcontrols2-5-dev to build-dependencies
  * Adjust .desktop installation name

 -- Sandro Knauß <hefee@debian.org>  Wed, 02 Sep 2020 15:27:42 +0200

nextcloud-desktop (2.6.4-1) unstable; urgency=medium

  * New upstream release (Closes: #955303).
  * Update patch hunks.
  * Update patch 0004-sane-cmake.patch for new upstream version.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Bump to dephelper 13.
  * delete .buildinfo after dh_sphinxdoc and not inside dh_missing.
  * Remove dh-python3 from build-dependencies.
  * Add Built-Using: ${sphinxdoc:Built-Using} to the document package.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 May 2020 00:11:20 +0200

nextcloud-desktop (2.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream applied patches.
  * Update patch hunks.
  * Update 0004-sane-cmake.patch for 2.6.2.
  * Upstream actually ships gz and not xz tarballs.
  * Add Rules-Requires-Root: no.
  * Add upstream metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 12 Jan 2020 12:28:23 +0100

nextcloud-desktop (2.6.1-3) experimental; urgency=medium

  * Use python3-caja instead of python-caja (Closes: #945674).

 -- Sandro Knauß <hefee@debian.org>  Tue, 17 Dec 2019 22:28:22 +0100

nextcloud-desktop (2.6.1-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Add upstream patch upstream_Fix_remote_wipe_keychain_storage.patch
    (Closes: #946220):
    Fix gnome-keyring-daemon swamping due to permanent rewrite of remote
    wipe password.

 -- Sandro Knauß <hefee@debian.org>  Sat, 07 Dec 2019 17:10:33 +0100

nextcloud-desktop (2.6.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Update depends from python-nautilus -> python3-nautilus. (Closes: #942776)

  [ Alf Gaida ]
  * New upstream version 2.6.1
  * removed 0004-disable-git-hash-display.patch - will be superseded
  * Make upstream cmake a bit more sane, introducing external version number
  * Fixed FTBFS in tests because of a wrong include
  * Fixed debian/rules - use newly introduced EXTERNAL_VERSION
  * Fixed debian/watch - replaced template with package name

 -- Alf Gaida <agaida@siduction.org>  Sun, 17 Nov 2019 20:35:13 +0100

nextcloud-desktop (2.6.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * New upstream release
  * Added myself as uploader
  * Added build dependency libcloudproviders-dev (Closes: #941577)
  * Added some build dependencies for libcloudproviders:
    - appstream, needed for libcloudproviders tests
    - libdbus-1-dev
    - pkg-config
  * Added build dependency texlive-latex-base to silence cmake a bit more
  * Added gbp.conf and some comments in README.source
  * Switched dh_missing to --fail-missing and installed or removed the
    missed files

  [ Sandro Knauß ]
  * Update copyright file
  * Bump Standards version to 4.4.1 (no changes needed).

 -- Alf Gaida <agaida@siduction.org>  Thu, 03 Oct 2019 15:12:56 +0200

nextcloud-desktop (2.5.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release.
  * Make nextcloud-desktop-cmd depend on nextcloud-desktop-common.
    Thanks to Calogero Lo Leggio (Closes: #932108)
  * Remove upstream applied patches.
  * Update copyright file.
  * Bump to Debhelper-compat 12.
  * Bump Standards_Version to 4.4.0.
  * Remove useless comment
  * Fix wrong path in copyright file.

 -- Sandro Knauß <hefee@debian.org>  Thu, 29 Aug 2019 20:15:33 +0200

nextcloud-desktop (2.5.1-3) unstable; urgency=medium

  * Fix "Subfolders of moved folders not synced" (Closes: #929079)
    Added 0005-Fixed-Issue-1000-Subfolders-of-moved-folders-not-syn.patch

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 May 2019 16:14:50 +0200

nextcloud-desktop (2.5.1-2) unstable; urgency=medium

  [ Adrian Heine ]
  * Fix VCS urls

  [ Louis-Philippe Véronneau ]
  * Add man page (Closes: #921344)

 -- Sandro Knauß <hefee@debian.org>  Tue, 12 Feb 2019 23:54:02 +0100

nextcloud-desktop (2.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #847613)

 -- Sandro Knauß <hefee@debian.org>  Tue, 15 Jan 2019 22:32:03 +0100
